<?xml version="1.0" encoding="ISO-8859-1"?>
<?xml-stylesheet type="text/xsl" href="mathml.xsl"?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1 plus MathML 2.0//EN"
       "http://www.w3.org/TR/MathML2/dtd/xhtml-math11-f.dtd" [
       <!ENTITY mathml "http://www.w3.org/1998/Math/MathML">
       ] >

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<link rel="stylesheet" type="text/css" href="mathml.css" />
<title>GAP (edim) - Contents</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
<meta name="generator" content="GAPDoc2HTML" />
<link rel="stylesheet" type="text/css" href="manual.css" />
</head>
<body>


<div class="pcenter"><table class="chlink"><tr><td class="chlink1">Goto Chapter: </td><td><a href="chap0_mml.xml">Top</a></td><td><a href="chap1_mml.xml">1</a></td><td><a href="chapBib_mml.xml">Bib</a></td><td><a href="chapInd_mml.xml">Ind</a></td></tr></table><br /></div>
<p><a id="s0ss0" name="s0ss0"></a></p>
<div class="pcenter">

<h1>GAP 4 Package <strong class="pkg">EDIM</strong></h1>


<h2>Elementary Divisors and Integer Matrices</h2>

<p>
      VERSION  1.2.2</p>

<p>May 2004</p>

</div>
<p><b>Frank Lübeck

    
    
    </b>
<br />e-mail: <a href="mailto:Frank.Luebeck@Math.RWTH-Aachen.De">Frank.Luebeck@Math.RWTH-Aachen.De</a>
<br />WWW: <a href="http://www.math.rwth-aachen.de/~Frank.Luebeck">http://www.math.rwth-aachen.de/~Frank.Luebeck</a>
<br />Address: <br />Lehrstuhl D für Mathematik RWTH Aachen Templergraben 64 52062 Aachen Germany
</p>

<p><a id="s0ss1" name="s0ss1"></a></p>

<div class="contents">
<h3>Contents</h3>

<a href="chap1_mml.xml#s0ss0">1. The <strong class="pkg">EDIM</strong>-Package</a><br />
&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s1ss0">1.1 Installation of the <strong class="pkg">EDIM</strong>-package</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s1ss1">1.1-1 InfoEDIM</a><br />
&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s2ss0">1.2 FORMULA-Parts of Elementary Divisors</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s2ss1">1.2-1 ElementaryDivisorsPPartRk</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s2ss2">1.2-2 ElementaryDivisorsPPartHavasSterling</a><br />
&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s3ss0">1.3 Inverse of Rational Matrices</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s3ss1">1.3-1 InverseRatMat</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s3ss2">1.3-2 RationalSolutionIntMat</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s3ss3">1.3-3 ExponentSquareIntMatFullRank</a><br />
&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s4ss0">1.4 All Elementary Divisors Using p-adic Method</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s4ss1">1.4-1 ElementaryDivisorsSquareIntMatFullRank</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s4ss2">1.4-2 ElementaryDivisorsIntMatDeterminant</a><br />
&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s5ss0">1.5 Gcd and Normal Forms Using LLL</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s5ss1">1.5-1 GcdexIntLLL</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s5ss2">1.5-2 HermiteIntMatLLL</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s5ss3">1.5-3 HermiteIntMatLLLTrans</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s5ss4">1.5-4 SmithIntMatLLL</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s5ss5">1.5-5 SmithIntMatLLLTrans</a><br />
&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s6ss0">1.6 Utility Functions from the <strong class="pkg">EDIM</strong>-package</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s6ss1">1.6-1 RatNumberFromModular</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s6ss2">1.6-2 InverseIntMatMod</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s6ss3">1.6-3 HadamardBoundIntMat</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s6ss4">1.6-4 CheapFactorsInt</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s6ss5">1.6-5 RankMod</a><br />
&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s7ss0">1.7 InverseRatMat - the Algorithm</a><br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="chap1_mml.xml#s7ss1">1.7-1 Rank of Integer Matrix</a><br />
<br />
</div>

<div class="pcenter">
<table class="chlink"><tr><td><a href="chap0_mml.xml">Top of Book</a></td><td><a href="chap1_mml.xml">Next Chapter</a></td></tr></table>
<br />


<div class="pcenter"><table class="chlink"><tr><td class="chlink1">Goto Chapter: </td><td><a href="chap0_mml.xml">Top</a></td><td><a href="chap1_mml.xml">1</a></td><td><a href="chapBib_mml.xml">Bib</a></td><td><a href="chapInd_mml.xml">Ind</a></td></tr></table><br /></div>

</div>

<hr />
<p class="foot">generated by <a href="http://www.math.rwth-aachen.de/~Frank.Luebeck/GAPDoc">GAPDoc2HTML</a></p>
</body>
</html>
